org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.Delete

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<T>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAdminRequest<T>
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAsyncAdminRequest<CollectionAdminRequest.Delete>
        - - org.apache.solr.client.solrj.request.CollectionAdminRequest.Delete

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<Q extends CollectionAdminRequest<Q>>

    public static class CollectionAdminRequest.Delete
    extends CollectionAdminRequest.CollectionSpecificAsyncAdminRequest<CollectionAdminRequest.Delete>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAsyncAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAsyncAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAsyncAdminRequest

`asyncId`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAdminRequest

`collection`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest.Delete()`

### Method Summary

Methods
`SolrParams` `getParams()`
`protected CollectionAdminRequest.Delete` `getThis()`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAsyncAdminRequest

`getAsyncId, setAsyncId`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionSpecificAdminRequest

`getCollectionName, setCollectionName`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, createResponse, getContentStreams, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionAdminRequest.Delete

    public CollectionAdminRequest.Delete()

### Method Detail

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.CollectionSpecificAsyncAdminRequest<CollectionAdminRequest.Delete>`

#### getThis

    protected CollectionAdminRequest.Delete getThis()

Specified by:
  `getThis` in class `CollectionAdminRequest<CollectionAdminRequest.Delete>`